import type { Parcours } from "@/types/parcours"
import anderlechtData from "./anderlecht.json"

// Convertir les données JSON en objets Parcours
const anderlecht: Parcours = {
  id: "anderlecht",
  name: "Anderlecht",
  description: "Parcours d'examen pratique à Anderlecht, situé dans la région de Bruxelles-Capitale.",
  image: "https://belgique.permis.online/wp-content/uploads/2022/04/1-Anderlecht.png",
  itineraires: anderlechtData,
}

// Liste de tous les parcours disponibles
export const parcoursList: Parcours[] = [
  anderlecht,
  {
    id: "bruxelles",
    name: "Bruxelles",
    description: "Parcours d'examen pratique à Bruxelles, capitale de la Belgique.",
    image: "/placeholder.svg?height=300&width=400",
    itineraires: [],
  },
  {
    id: "liege",
    name: "Liège",
    description: "Parcours d'examen pratique à Liège, ville majeure de la Wallonie.",
    image: "/placeholder.svg?height=300&width=400",
    itineraires: [],
  },
  {
    id: "charleroi",
    name: "Charleroi",
    description: "Parcours d'examen pratique à Charleroi, importante ville industrielle de Wallonie.",
    image: "/placeholder.svg?height=300&width=400",
    itineraires: [],
  },
  {
    id: "namur",
    name: "Namur",
    description: "Parcours d'examen pratique à Namur, capitale de la Wallonie.",
    image: "/placeholder.svg?height=300&width=400",
    itineraires: [],
  },
  {
    id: "mons",
    name: "Mons",
    description: "Parcours d'examen pratique à Mons, ville historique du Hainaut.",
    image: "/placeholder.svg?height=300&width=400",
    itineraires: [],
  },
  {
    id: "anvers",
    name: "Anvers",
    description: "Parcours d'examen pratique à Anvers, plus grande ville de Flandre.",
    image: "/placeholder.svg?height=300&width=400",
    itineraires: [],
  },
  {
    id: "gand",
    name: "Gand",
    description: "Parcours d'examen pratique à Gand, ville historique de Flandre-Orientale.",
    image: "/placeholder.svg?height=300&width=400",
    itineraires: [],
  },
  {
    id: "bruges",
    name: "Bruges",
    description: "Parcours d'examen pratique à Bruges, capitale de la Flandre-Occidentale.",
    image: "/placeholder.svg?height=300&width=400",
    itineraires: [],
  },
  {
    id: "louvain",
    name: "Louvain",
    description: "Parcours d'examen pratique à Louvain, ville universitaire du Brabant flamand.",
    image: "/placeholder.svg?height=300&width=400",
    itineraires: [],
  },
  {
    id: "hasselt",
    name: "Hasselt",
    description: "Parcours d'examen pratique à Hasselt, capitale du Limbourg belge.",
    image: "/placeholder.svg?height=300&width=400",
    itineraires: [],
  },
  {
    id: "tournai",
    name: "Tournai",
    description: "Parcours d'examen pratique à Tournai, l'une des plus anciennes villes de Belgique.",
    image: "/placeholder.svg?height=300&width=400",
    itineraires: [],
  },
  {
    id: "verviers",
    name: "Verviers",
    description: "Parcours d'examen pratique à Verviers, ville de la province de Liège.",
    image: "/placeholder.svg?height=300&width=400",
    itineraires: [],
  },
  {
    id: "arlon",
    name: "Arlon",
    description: "Parcours d'examen pratique à Arlon, chef-lieu de la province de Luxembourg.",
    image: "/placeholder.svg?height=300&width=400",
    itineraires: [],
  },
  {
    id: "wavre",
    name: "Wavre",
    description: "Parcours d'examen pratique à Wavre, chef-lieu du Brabant wallon.",
    image: "/placeholder.svg?height=300&width=400",
    itineraires: [],
  },
]

// Fonction pour obtenir un parcours par son ID
export function getParcours(id: string): Parcours | undefined {
  return parcoursList.find((parcours) => parcours.id === id)
}
